<style>
  {% if section.settings.logo != blank %}
    .site-header__logo-image {
      max-width: {{ section.settings.logo_max_width }}px;
    }
  {% endif %}
</style>
<div data-section-id="{{ section.id }}" data-section-type="header-section">
  <header role="banner">
    {% if template.name == 'index' %}
      <h1 itemscope itemtype="http://schema.org/Organization">
    {% else %}
      <div class="h1" itemscope itemtype="http://schema.org/Organization">
    {% endif %}
        <a href="/" itemprop="url" class="logohbc logo outline site-logo{% if section.settings.logo != blank %} site-header__logo-image{% endif %}">
          {% if section.settings.logo != blank %}
            {% capture image_size %}{{ section.settings.logo_max_width }}x{% endcapture %}
            <img src="{{ section.settings.logo | img_url: image_size }}"
                 srcset="{{ section.settings.logo | img_url: image_size }} 1x, {{ section.settings.logo | img_url: image_size, scale: 2 }} 2x"
                 alt="{{ section.settings.logo.alt | default: shop.name }}"
                 itemprop="logo">
          {% else %}
            {{ shop.name }}
          {% endif %}
        </a>
    {% if template.name == 'index' %}
      </h1>
    {% else %}
      </div>
    {% endif %}

    <a href="/cart">
      {% include 'icon-cart' %}
      {{ 'layout.cart.title' | t }}
      ({{ cart.item_count }} {{ 'layout.cart.items_count' | t: count: cart.item_count }})
    </a>

    {% if shop.customer_accounts_enabled %}
      <ul>
        {% if customer %}
          <li>
            {% if customer.first_name != blank %}
              {% capture first_name %}<a href="/account">{{ customer.first_name }}</a>{% endcapture %}
              {{ 'layout.customer.logged_in_as_html' | t: first_name: first_name }}
            {% else %}
              <a href="/account">{{ 'layout.customer.account' | t }}</a>
            {% endif %}
          </li>
          <li>
            {{ 'layout.customer.log_out' | t | customer_logout_link }}
          </li>
        {% else %}
          <li>
            {{ 'layout.customer.log_in' | t | customer_login_link }}
          </li>
          <li>
            {{ 'layout.customer.create_account' | t | customer_register_link }}
          </li>
        {% endif %}
      </ul>
    {% endif %}

    <form action="/search" method="get" role="search">
      <label for="Search" class="label-hidden">
        {{ 'general.search.placeholder' | t }}
      </label>
      <input type="search"
             name="q"
             id="Search"
             value="{{ search.terms | escape }}"
             placeholder="{{ 'general.search.placeholder' | t }}">
      <button type="submit" class="btn">
        {% include 'icon-search' %}
        <span class="icon-fallback-text">{{ 'general.search.submit' | t }}</span>
      </button>
    </form>

  </header>

  <nav role="navigation">
    <ul class="site-nav">
      {% for link in linklists[section.settings.main_linklist].links %}
        {%- assign child_list_handle = link.title | handleize -%}
        {% if menus[child_list_handle].links != blank %}
          <li class="site-nav--has-submenu{% if link.active %} site-nav--active{% endif %}">
            <a href="{{ link.url }}" class="site-nav__link">
              {{ link.title }}
              {% include 'icon-arrow-down' %}
            </a>
            <ul class="site-nav__submenu">
              {% for childlink in menus[child_list_handle].links %}
                <li {% if childlink.active %}class="site-nav--active"{% endif %}>
                  <a href="{{ childlink.url }}" class="site-nav__link">{{ childlink.title | escape }}</a>
                </li>
              {% endfor %}
            </ul>
          </li>
        {% else %}
          <li {% if link.active %}class="site-nav--active"{% endif %}>
            <a href="{{ link.url }}" class="site-nav__link">{{ link.title }}</a>
          </li>
        {% endif %}
      {% endfor %}
    </ul>
  </nav>
</div>

{% schema %}
  {
    "name": "Header",
    "settings": [
      {
        "type": "image_picker",
        "id": "logo",
        "label": "Logo image"
      },
      {
        "type": "range",
        "id": "logo_max_width",
        "min": 50,
        "max": 450,
        "step": 10,
        "unit": "px",
        "label": "Custom logo width",
        "default": 250
      },
      {
        "type": "link_list",
        "id": "main_linklist",
        "label": "Menu",
        "default": "main-menu"
      }
    ]
  }
{% endschema %}
